info:
  name: elixPro - Promote module to Production
  type: http
  seq: 12

http:
  method: POST
  url: "{{elixProStudioUrl}}/eP/elixpro-studio/api/elixpro/procedimento"
  body:
    type: json
    data: |-
      {
        "procedureTag": "module_tag_XXX"
      }
  auth: inherit

runtime:
  scripts:
    - type: tests
      code: |-
        test("ISIPSESSION cookie found", function () {
          const isipsessionCookie = bru.cookies.get("ISIPSESSION");
          expect(isipsessionCookie).to.not.be.null;
          expect(isipsessionCookie).to.not.be.empty;
        });

settings:
  encodeUrl: true
  timeout: 0
  followRedirects: true
  maxRedirects: 5
  forwardAuthorizationHeader: false

examples:
  - name: example
    request:
      url: "{{elixProStudioUrl}}/eP/elixpro-studio/api/elixpro/procedimento"
      method: POST
      body:
        type: json
        data: |-
          {
            "procedureTag": "module_tag_XXX"
          }
    response:
      status: 200
      statusText: OK
      body:
        type: text
        data: |-
          {
            "ok": true
          }
